Bug 484050 - can't delete group from web ui
can't delete group from web ui
Status: CLOSED UPSTREAM
Product: freeIPA
Classification: Community
Component: WebUI (Show other bugs)
1.2
All Linux
low Severity high
: v2 release
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 431020
  Show dependency treegraph
 
Reported: 2009-02-04 09:42 EST by Pavel Volkovitskiy
Modified: 2015-01-04 18:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 05:31:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
make dn a hidden field (1.35 KB, patch)
2009-02-09 15:48 EST, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Pavel Volkovitskiy 2009-02-04 09:42:50 EST
i'm using freeipa from 1.2 branch and can't remove group from WebUI

"Group deletion failed: Invalid parameter(s)"

i tried to debug that and found that UI sends "" instead of group dn

in page source:
  <form action="/ipa/ui/group/delete" style="display:none" id="deleteform" method="post">
    <input type="hidden" name="dn">
  </form>

ie no value in field "dn"

in groupeditform.kid:
  <form style="display:none" id='deleteform'
    method="post" action="${tg.url('/group/delete')}">
    <input type="hidden" name="dn" value="${value.get('dn')}" />
  </form>
Comment 3 Rob Crittenden 2009-02-09 15:48:06 EST
Created attachment 331367 [details]
make dn a hidden field

In order to fix some other problems we set filter_extra_fields and allow_extra_fields to True in the group validator. This means that any field not used on a form is silently dropped.

Unfortunately dn is one such field. There is no direct input of this field but it is needed when doing a delete. So I added it as a hidden field.
Comment 4 Rob Crittenden 2009-02-10 09:23:16 EST
ipa-1-2: 50bfc94cd7d2451dc1420ac672355b9a4c9d7688
Comment 5 Fedora Update System 2009-09-10 17:19:53 EDT
ipa-1.2.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/ipa-1.2.2-1.fc10
Comment 6 Fedora Update System 2009-09-10 17:20:16 EDT
ipa-1.2.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/ipa-1.2.2-1.fc11
Comment 7 Fedora Update System 2009-09-18 20:05:41 EDT
ipa-1.2.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-09-18 20:10:24 EDT
ipa-1.2.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.